open OUnit2
open Env

let test_is_bound _ =
  assert_bool "nothing is bound in the empty env."
    (not (is_bound empty "a"))

let test_extend_env _ =
  assert_bool "a is bound in the extend empty [a,_]."
    (is_bound (extend empty ["a",()]) "a")
  

let suite =
  "suite_env">:::[
    "is_bound">::test_is_bound;
    "extend_env">::test_extend_env;
  ]

let () =
  run_test_tt_main suite
