def parse_result(lines)
  lines.split.map{ |line| line.to_f }
end

ASSERT_DELTA = 1e-5

def custom_assert(expected, actual, message)
  assert_block message do
    expected_val = parse_result(expected)
    actual_val = parse_result(actual)
    assert((el=expected_val.length) == (al=actual_val.length),
           "<#{actual}> has different number of lines (#{al}) from the that (#{el}) of expected\n<#{expected}>")
    expected_val.zip(actual_val).each do |e,a|
      assert_in_delta(a,e,ASSERT_DELTA,
                     "<#{a}> is different from the expected:\n<#{e}>")
    end
  end
end
