# functions that create pure Ruby arrays

def make_int_array(n)
  Array.new(n){ |i| i+1 }
end

def make_float_array(n)
  Array.new(n){ |i| 1.0/(i+1) }
end

def make_int_array_2d(n,m)
  Array.new(n){ |i| Array.new(m) { |j| i*m + j +1 } }
end

def make_float_array_2d(n,m)
  Array.new(n){ |i| Array.new(m) { |j| 1.0/(i*m + j + 1)  } }
end 

def make_int_array_triangle(n)
  Array.new(n){ |i| Array.new(n+i) { |j| 1 } }
end
